Loading...
Searching...
No Matches
coap_l_block1_t Struct Reference
Libcoap Internal API » Block Transfer

Structure to keep track of block1 specific information (Requests). More...

`#include <coap_block_internal.h>`

Collaboration diagram for coap_l_block1_t:
[legend]

## Data Fields

coap_binary_t * | app_token
| original PDU token
uint64_t | state_token
| state token
size_t | bert_size
| size of last BERT block
uint32_t | count
| the number of packets sent for payload

## Detailed Description

Structure to keep track of block1 specific information (Requests).

Definition at line 119 of file coap_block_internal.h.

## Field Documentation

## app_token

coap_binary_t* coap_l_block1_t::app_token

original PDU token

Definition at line 120 of file coap_block_internal.h.

## bert_size

size_t coap_l_block1_t::bert_size

size of last BERT block

Definition at line 122 of file coap_block_internal.h.

## count

uint32_t coap_l_block1_t::count

the number of packets sent for payload

Definition at line 123 of file coap_block_internal.h.

## state_token

uint64_t coap_l_block1_t::state_token

state token

Definition at line 121 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h